/* generated using openapi-typescript-codegen -- do no edit */
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { WorkflowVersion } from './WorkflowVersion';

export type WorkflowOut = {
    /**
     * Short descriptive name of the workflow
     */
    name: string;
    /**
     * Short description of the workflow
     */
    short_description: string;
    /**
     * URL to the Git repository belonging to this workflow
     */
    repository_url: string;
    /**
     * Id of the workflow
     */
    workflow_id: string;
    /**
     * Versions of the workflow
     */
    versions: Array<WorkflowVersion>;
    /**
     * Id of developer of the workflow
     */
    developer_id: string;
    /**
     * Flag if the workflow is hosted in a private git repository
     */
    private?: boolean;
};

